SDL_SetRenderViewport(3)

NAME
SDL_SetRenderViewport - Set the drawing area for rendering on the current target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderViewport(SDL_Renderer *renderer, const SDL_Rect *rect);

FUNCTION PARAMETERS

renderer
    the rendering context

rect
    the SDL_Rect
     structure representing the drawing area, or NULL to set the viewport to the entire target

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderViewport(3), SDL_RenderViewportSet(3)